# class CompareController

### Public Instance Methods

create() click to toggle source

    # File app/controllers/compare_controller.rb, line 22
    def create
      redirect_to project_compare_path(@project, params[:from], params[:to])
    end

index() click to toggle source

    # File app/controllers/compare_controller.rb, line 7
    def index
    end

show() click to toggle source

    # File app/controllers/compare_controller.rb, line 10
    def show
      result = Commit.compare(project, params[:from], params[:to])

      @commits       = result[:commits]
      @commit        = result[:commit]
      @diffs         = result[:diffs]
      @refs_are_same = result[:same]
      @line_notes    = []

      @commits = CommitDecorator.decorate(@commits)
    end